#ifndef _HPP_KUNGFLOW_CHARACTER_AICONTROLLER_KARATEKA
#define _HPP_KUNGFLOW_CHARACTER_AICONTROLLER_KARATEKA

#include "character_aicontroller.hpp"

class KaratekaController : public CharacterAIController {

  public:

    KaratekaController(const KungFlowGame *game, const PlayState *playState, Character *character);
    virtual ~KaratekaController();

    virtual void OnStepPhysicsTime(CharacterModelView *characterModelView) override;

  private:

    int GetFightingCharacterCount() { return 2; }
    int GetQueuedCharacterCount() { return 2; }

};

#endif
